Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_FilterFactory Class Reference

Service Object to obtain a CosNotifyFilter::FilterFactory reference. More...

`#include <FilterFactory.h>`

Inheritance diagram for TAO_Notify_FilterFactory:

[legend]
Collaboration diagram for TAO_Notify_FilterFactory:

[legend]
List of all members.

## Public Methods
virtual CosNotifyFilter::FilterFactory_ptr | create (PortableServer::POA_var &filter_poa ACE_ENV_ARG_DECL)=0

## Detailed Description

Service Object to obtain a CosNotifyFilter::FilterFactory reference.

## Member Function Documentation

virtual CosNotifyFilter::FilterFactory_ptr TAO_Notify_FilterFactory::create | ( | PortableServer::POA_var &filter_poa | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Factory method to create a FilterFactory reference The Factory is activated in the default POA. The filters created are activated in the <filter_poa>. Implemented in TAO_Notify_ETCL_FilterFactory.

The documentation for this class was generated from the following file:

- FilterFactory.h